Overview | Modules | Class Hierarchy | Classes | Members

Static Public Member Functions
tlp::BiconnectedTest Class Reference
Graph_test

class for testing if the graph is biconnected More...

`#include <BiconnectedTest.h>`

Inheritance diagram for tlp::BiconnectedTest:
[legend]
Collaboration diagram for tlp::BiconnectedTest:
[legend]

List of all members.

## Static Public Member Functions

- static bool isBiconnected (Graph *graph)
- static void makeBiconnected (Graph *graph, std::vector< edge > &addedEdges)

## Detailed Description

class for testing if the graph is biconnected

## Member Function Documentation

static bool tlp::BiconnectedTest::isBiconnected | ( | Graph * | graph | ) | `[static]`

Returns true if the graph is biconnected (ie. one must remove at least two nodes in order to disconnect the graph), false otherwise.

Tulip Software by LaBRI Visualization Team 2001 - 2012